//
//  GM-Ini.cpp
//  Wumbo
//
//  Created by Wade McGillis on 11/22/13.
//  Copyright (c) 2013 Wade McGillis. All rights reserved.
//

#include "GM-Ini.h"
/*
namespace GM {
	std::map<std::string,std::map<std::string,__GM_VARIABLE_TYPE>*> __GM_INI_MAP;
	
	bool ini_open(std::string name)
	{
		return false;
	}
	void ini_close()
	{
	}
	
	std::string ini_read_string(std::string section, std::string key, std::string defult)
	{
		return defult;
	}
	double ini_read_real(std::string section, std::string key, double defult)
	{
		return defult;
	}
	
	void ini_write_string(std::string section, std::string key, std::string value)
	{
	}
	void ini_write_real(std::string section, std::string key, double value)
	{
	}
	
	bool ini_key_exists(std::string section, std::string key)
	{
		if (ini_section_exists(section))
			if (__GM_INI_MAP.find(section) != __GM_INI_MAP.end())
				return __GM_INI_MAP.find(section)->second->find(key) != __GM_INI_MAP.find(section)->second->end();
		return false;
	}
	bool ini_section_exists(std::string section)
	{
		return __GM_INI_MAP.find(section) != __GM_INI_MAP.end();
	}
	
	bool ini_key_delete(std::string section, std::string key)
	{
		if (ini_key_exists(section,key))
			__GM_INI_MAP.find(section)->second->erase(key);
		return false;
	}
	bool ini_section_delete(std::string section)
	{
		if (ini_section_exists(section))
		{
			delete __GM_INI_MAP.find(section)->second;
			__GM_INI_MAP.find(section)->second->erase(__GM_INI_MAP.find(section)->first);
		}
		return false;
	}
};*/